Skip to content

getCustomerShipping

READ

Get customer shipping.

POST /api/v1/sales/getCustomerShipping
curl -X POST '<your-host>/api/v1/sales/getCustomerShipping' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string"
  }'
Response
{
  "companyId": "string",
  "customerId": "string",
  "incoterm": "EXW",
  "incotermLocation": "string",
  "shippingCustomerContactId": "string",
  "shippingCustomerId": "string",
  "shippingCustomerLocationId": "string",
  "shippingMethodId": "string",
  "shippingTermId": "string",
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string"
    }
  },
  "required": [
    "customerId"
  ]
}